package entity

import "time"

type HostManage struct {
	Id         int       `json:"id" xorm:"pk autoincr" `         // id
	HostName   string    `json:"hostName" xorm:"host_name"`      // 主机分组名称
	IsDelete   int       `json:"isDelete"  xorm:"is_delete" `    // 是否删除（0 未删除 1已删除）
	CreateUser string    `json:"createUser" xorm:"create_user" ` // 创建人
	CreateTime time.Time `json:"createTime"  xorm:"create_time"` // 创建时间
	UpdateUser string    `json:"updateUser" xorm:"update_user" ` // 修改人
	UpdateTime time.Time `json:"updateTime"  xorm:"update_time"` // 修改时间
}

type HostManageList struct {
	Id          int    `json:"id" xorm:"pk autoincr" `           // id
	Ip          string `json:"ip" xorm:"ip"`                     // ip
	Port        string `json:"port" xorm:"port"`                 // 端口
	VoucherType int    `json:"voucherType" xorm:"voucher_type"`  // 凭证类型（0密码验证 密钥验证）
	UserName    string `json:"userName" xorm:"user_name"`        // 用户名
	Password    string `json:"password" xorm:"password"`         // 密码
	HostGroupId int    `json:"hostGroupId" xorm:"host_group_id"` // 主机分组id
	HostFileUrl string `json:"hostFileUrl" xorm:"host_file_url"` // 主机文件url
	IsDelete    int    `json:"isDelete"  xorm:"is_delete" `      // 是否删除（0 未删除 1已删除）
	ConnStatus  int    `json:"connStatus"  xorm:"conn_status" `  // 连接状态（0异常 1正常）
}
