package response

import "time"

type TaskManageRes struct {
	Id          int       `json:"id" xorm:"pk autoincr" `           // id
	TaskName    string    `json:"taskName" xorm:"task_name"`        // 任务名称
	TaskDesc    string    `json:"taskDesc" xorm:"task_desc"`        // 任务描述
	YamlDesc    string    `json:"yamlDesc" xorm:"yaml_desc"`        // yaml文件
	YamlUrl     string    `json:"yamlUrl" xorm:"yaml_url"`          // yaml文件地址
	ExecCnt     int       `json:"execCnt" xorm:"exec_cnt"`          // 执行次数
	SuccessCnt  int       `json:"successCnt" xorm:"success_cnt"`    // 执行成功次数
	FailCnt     int       `json:"failCnt" xorm:"fail_cnt"`          // 执行失败次数
	HostGroupId int       `json:"hostGroupId" xorm:"host_group_id"` // 主机分组ID
	CreateUser  string    `json:"createUser" xorm:"create_user" `   // 创建人
	CreateTime  time.Time `json:"createTime"  xorm:"create_time"`   // 创建时间
	UpdateUser  string    `json:"updateUser" xorm:"update_user" `   // 修改人
	UpdateTime  time.Time `json:"updateTime"  xorm:"update_time"`   // 修改时间
}
